# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: perl-devel perl-podlators
# END SourceDeps(oneline)
Name:           perl-Async-MergePoint
Version:        0.03
Release:        alt1_10
Summary:        Resynchronise diverged control flow
License:        GPL+ or Artistic
Group:          Development/Perl
URL:            http://search.cpan.org/dist/Async-MergePoint/
Source0:        http://www.cpan.org/authors/id/P/PE/PEVANS/Async-MergePoint-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl(Module/Build.pm)
BuildRequires:  perl(Test/Exception.pm)
BuildRequires:  perl(Test/More.pm)
Source44: import.info

%description
Often in program logic, multiple different steps need to be taken that are
independent of each other, but their total result is needed before the next
step can be taken. In synchonous code, the usual approach is to do them
sequentially.

%prep
%setup -q -n Async-MergePoint-%{version}


%build
%{__perl} Makefile.PL INSTALLMAN1DIR=%_man1dir INSTALLDIRS=vendor
make %{?_smp_mflags}


%install
make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'

# %{_fixperms} $RPM_BUILD_ROOT/*


%check
make test


%files
%doc Changes LICENSE README
%{perl_vendor_privlib}/Async

%changelog
* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_10
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_9
- update to new release by fcimport

* Wed May 23 2012 Igor Vlasenko <viy@altlinux.ru> 0.03-alt1_7
- fc import

